Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003809TestLinkTest Executepublic2010-09-27 07:152010-10-09 08:00
Reporteramitkhullar 
Assigned Toamitkhullar 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 6 
Fixed in Version1.9 RC 1 
Summary0003809: Radio button based Design Time Custom Fields dont work as Filters for Tree Menu
Descriptioncreate a Test Case Design CF of type Radio button e.g Name = Sanity and with values YES and NO (YES|NO)
Assign to test cases
set values as Yes for few test cases
Assign test cases to test plan and a user for exec in a build.
goto the test exec page and try to filter out the Sanity test cases by choosing the Value Yes in Filter - all test cases are returned rather than just the ones with value Sanity = Yes

Also when the tree menu refreshes the filter values for the custom field Sanity radio button are not set and are empty
TagsNo tags attached.
Database (MySQL,Postgres,etc)1.9
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon 27-09-2010 7-56-10 PM.jpg [^] (213,523 bytes) 2010-09-27 14:30

- Relationships

-  Notes
(0011508)
amitkhullar (reporter)
2010-09-27 08:19

Reminder sent to: fman

Hi Fman,

I have checked in the fix for this issue in cvs. Can you have a look once for review.

Also the part that is required to set the radio button custom fields on which filter search was done and is not set/displayed after the tree menu refreshes: I wasn't able to understand that code so din't fix it.
Do you want me to create a new bug for the same ?
(0011510)
fman (administrator)
2010-09-27 08:38

>> create a CF of type Radio button e.g Name = Sanity and with values YES and NO (YES|NO)

Details about how this CF has been created is needed (all attributes)
(0011511)
fman (administrator)
2010-09-27 08:39

>> Also when the tree menu refreshes the filter values for the custom field Sanity radio button are not set and are empty

NEVER,NEVER use an ISSUE FOR TWO DIFFERENT problems -> absolutely bad practice
(0011512)
amitkhullar (reporter)
2010-09-27 09:22

Reminder sent to: asimon


Hi Andreas,

I have checked in the fix for this issue in cvs. Can you have a look once. The filters using the custom fields with type Radio buttons work now.

Amit

(0011516)
asimon (developer)
2010-09-27 10:54

I just added an additional fix, now the filter works and the input elements keep their selected values when apply is pressed.
Issue can be set to resolved.
(0011519)
amitkhullar (reporter)
2010-09-27 11:40

Thanks for the fix it works fine.
(0011524)
fman (administrator)
2010-09-27 12:52

@Amit:
I'm still waiting for requested info on note 11510, need it absolutely with urgency.
(0011526)
fman (administrator)
2010-09-27 13:34

details as requested NEEDED URGENTLY
(0011529)
amitkhullar (reporter)
2010-09-27 14:30

Details about how this CF has been created is needed (all attributes) ?

This is a Test Case Design Custom Field with Enabled on Test Specification, Display on Test Execution

See the pic attached for more details.
(0011546)
amitkhullar (reporter)
2010-09-29 13:41

Reminder sent to: fman

Shall I close this issue now ?
(0011725)
fman (administrator)
2010-10-09 08:00

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-09-27 07:15 amitkhullar New Issue
2010-09-27 07:16 amitkhullar Description Updated View Revisions
2010-09-27 08:15 amitkhullar Assigned To => amitkhullar
2010-09-27 08:15 amitkhullar Status new => work in progress
2010-09-27 08:19 amitkhullar Note Added: 0011508
2010-09-27 08:38 fman Note Added: 0011510
2010-09-27 08:39 fman Note Added: 0011511
2010-09-27 09:22 amitkhullar Note Added: 0011512
2010-09-27 09:23 amitkhullar Description Updated View Revisions
2010-09-27 10:54 asimon Note Added: 0011516
2010-09-27 11:40 amitkhullar Note Added: 0011519
2010-09-27 11:41 amitkhullar Status work in progress => assigned
2010-09-27 11:41 amitkhullar Status assigned => resolved
2010-09-27 11:41 amitkhullar Fixed in Version => 1.9 RC 1
2010-09-27 11:41 amitkhullar Resolution open => fixed
2010-09-27 12:52 fman Note Added: 0011524
2010-09-27 13:34 fman Note Added: 0011526
2010-09-27 13:34 fman Status resolved => new
2010-09-27 13:34 fman Status new => assigned
2010-09-27 14:30 amitkhullar Note Added: 0011529
2010-09-27 14:30 amitkhullar File Added: 27-09-2010 7-56-10 PM.jpg
2010-09-29 13:41 amitkhullar Note Added: 0011546
2010-09-29 17:50 fman Status assigned => resolved
2010-10-09 08:00 fman Note Added: 0011725
2010-10-09 08:00 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker